/************************************************************
 * Allumage de marche d'escalier par bouton haut ou bouton  *
 * bas avec tempo de 1 seconde entre deux marches, en       * 
 * chenillard montant ou descendant suivant le bouton       *
 * actionné et extinction après temporisation de 4 minutes  *
 * https://amazing-vacuum-tubes.com                         *             
 ************************************************************/

//Déclaration des boutons
const int butH = 12;
const int butB = 13;


//Déclaration des Relais
int led1 = 2 ;
int led2 = 3 ;
int led3 = 4 ;
int led4 = 5 ;
int led5 = 6 ;
int led6 = 7 ;
int led7 = 8 ;
int led8 = 9 ;
int led9 = 10 ;
int led10 = 11 ;
int led11 = A0 ;
int led12 = A1;
int led13 = A2 ;
int led14= A3 ;
int led15= A4 ;


void setup() {
  // Bouttons en entrée
pinMode (butH, INPUT);
pinMode (butB, INPUT);

  // Relais en sortie 
pinMode (led1, OUTPUT);
pinMode (led2, OUTPUT);
pinMode (led3, OUTPUT);
pinMode (led4, OUTPUT);
pinMode (led5, OUTPUT);
pinMode (led6, OUTPUT);
pinMode (led7, OUTPUT);
pinMode (led8, OUTPUT);
pinMode (led9, OUTPUT);
pinMode (led10, OUTPUT);
pinMode (led11, OUTPUT);
pinMode (led12, OUTPUT);
pinMode (led13, OUTPUT);
pinMode (led14, OUTPUT);
pinMode (led15, OUTPUT);


// Force l'extinction au démmarage du programme, au POR ou reset 
digitalWrite (led1,LOW);
digitalWrite (led2,LOW);
digitalWrite (led3,LOW);
digitalWrite (led4,LOW);
digitalWrite (led5,LOW);
digitalWrite (led6,LOW);
digitalWrite (led7,LOW);
digitalWrite (led8,LOW);
digitalWrite (led9,LOW);
digitalWrite (led10,LOW);
digitalWrite (led11,LOW);
digitalWrite (led12,LOW);
digitalWrite (led13,LOW);
digitalWrite (led14,LOW);
digitalWrite (led15,LOW);

}



void loop() {
  // Surveillance des boutons 
if (digitalRead (butH) == HIGH){
  lghtUp();
  }

if (digitalRead(butB) == HIGH){
  lghtDwn();
  }
}

void lghtUp() {
digitalWrite (led1,HIGH);
delay (1000);
digitalWrite (led2,HIGH);
delay (1000);
digitalWrite (led3,HIGH);
delay (1000);
digitalWrite (led4,HIGH);
delay (1000);
digitalWrite (led5,HIGH);
delay (1000);
digitalWrite (led6,HIGH);
delay (1000);
digitalWrite (led7,HIGH);
delay (1000);
digitalWrite (led8,HIGH);
delay (1000);
digitalWrite (led9,HIGH);
delay (1000);
digitalWrite (led10,HIGH);
delay (1000);
digitalWrite (led11,HIGH);
delay (1000);
digitalWrite (led12,HIGH);
delay (1000);
digitalWrite (led13,HIGH);
delay (1000);
digitalWrite (led14,HIGH);
delay (1000);
digitalWrite (led15,HIGH);
delay (1000);

//Tempo de 4 minutes
   for (int i=0; i <= 240; i++){
      delay(1000);
   }
lghtOff(); //Saute à l'axtintion
  
}

void lghtDwn()  {
digitalWrite (led15,HIGH);
delay (1000);
digitalWrite (led14,HIGH);
delay (1000);
digitalWrite (led13,HIGH);
delay (1000);
digitalWrite (led12,HIGH);
delay (1000);
digitalWrite (led11,HIGH);
delay (1000);
digitalWrite (led10,HIGH);
delay (1000);
digitalWrite (led9,HIGH);
delay (1000);
digitalWrite (led8,HIGH);
delay (1000);
digitalWrite (led7,HIGH);
delay (1000);
digitalWrite (led6,HIGH);
delay (1000);
digitalWrite (led5,HIGH);
delay (1000);
digitalWrite (led4,HIGH);
delay (1000);
digitalWrite (led3,HIGH);
delay (1000);
digitalWrite (led2,HIGH);
delay (1000);
digitalWrite (led1,HIGH);


//Tempo de 4 minutes
   for (int i=0; i <= 240; i++){
      delay(1000);
   }
lghtOff(); //Saute à l'axtintion
}

void lghtOff()  {
//Extinction
digitalWrite (led1,LOW);
digitalWrite (led2,LOW);
digitalWrite (led3,LOW);
digitalWrite (led4,LOW);
digitalWrite (led5,LOW);
digitalWrite (led6,LOW);
digitalWrite (led7,LOW);
digitalWrite (led8,LOW);
digitalWrite (led9,LOW);
digitalWrite (led10,LOW);
digitalWrite (led11,LOW);
digitalWrite (led12,LOW);
digitalWrite (led13,LOW);
digitalWrite (led14,LOW);
digitalWrite (led15,LOW);

}
